> ## Name

> cgGLGetParameterArray2d - get the values from an array parameter

> ## Synopsis

>     #include <Cg/cgGL.h>

>     void cgGLGetParameterArray2d( CGparameter param,
>                                   long offset,
>                                   long nelements,
>                                   const double * v );

> ## Parameters

> param
>   The array parameter from which the values will be retrieved.
> offset
>   An offset into the array parameter at which to start getting elements. A value of 0 will begin at the first element of the array.
> nelements
>   The number of elements to get. A value of 0 will default to the total number of elements in the array minus the value of offset.
> v
>   Destination buffer into which the values will be written. The size of v must be 2 * nelements.

> ## Return Values

> None.

> ## Description

> cgGLGetParameterArray2d retrieves the values from a scalar or vector array parameter.

> The function retrieves 2 values per array element.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_PROFILE_ERROR is generated if param's profile is not a supported OpenGL profile.

> CG_ARRAY_PARAM_ERROR is generated if param is not an array parameter.

> CG_OUT_OF_ARRAY_BOUNDS_ERROR is generated if offset or nelements is outside the bounds of param.

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> ## History

> cgGLGetParameterArray2d was introduced in Cg 1.1.

> ## See Also

> cgGLGetParameter, cgGLSetParameter, cgGLSetParameterArray